Bug 85827 - [patch] print/acroread7: prefix changes from LINUXBASE to X11BASE and more
[patch] print/acroread7: prefix changes from LINUXBASE to X11BASE and more
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 12:10 UTC by bsam
Modified: 2006-02-23 17:28 UTC (History)
0 users

See Also:


Attachments
acroread7.patch (21.66 KB, patch)
2005-09-07 12:10 UTC, bsam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsam 2005-09-07 12:10:13 UTC
	We use rpm database to install the port to LINUXBASE and
	plist is dynamic.
	The patch changes PREFIX to X11BASE, introduces fixed plist and
	some more. See the "Fix" item.

Fix: The patch should be applied:
	- cd /usr/ports/print
	- patch -p0 < the_patch

	Changes:
	1. PREFIX changes to X11BASE.
	2. Programs are installed to X11BASE/share/Adobe, docs
	   are installes to X11BASE/share/doc/Adobe.
	3. Doesn't use rpm and its database. Partially deprecates PR:
	   http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/84877
	4. KDE stuff is added.
	5. pkg-install and pkg-deinstall files are fixed.
	6. Static pkg-plist file is created.
	7. Clean uninstall, seems to solve a pointyhat problem:
	   http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.7.2005072221/acroread7-7.0.1.log
	   hence maybe partially deprecates:
	   http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/85625
	8. PORTREVISION is bumpted.
How-To-Repeat: 	Install print/acroread7.
Comment 1 Mark Linimon freebsd_committer 2005-09-07 14:38:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer.
Comment 2 trevor freebsd_committer 2005-10-15 02:44:19 UTC
State Changed
From-To: open->patched

I changed the PREFIX.  I am not sure that the Adobe Reader license 
allows us to rearrange or omit files as you suggest, so I didn't 
apply that part of your patch. 

Also, about the KDE support, it looks as though if, with your patch, 
the user first installed Adobe Reader then installed KDE, the 
AdobeReader_KDE.desktop and other KDE-related files would not be 
available.  Am I right?  I don't know much about this since I haven't 
used KDE in awhile.
Comment 3 wblock 2005-10-15 23:36:09 UTC
This patch seems to break the Acrobat 7 plugin, at least for native 
Mozilla via linuxpluginwrapper.

Previously, nppdf.so was installed in /usr/compat/linux, which makes 
sense--it's a Linux program:

/usr/compat/linux/usr/local/Adobe/Acrobat7.0/Browser/intellinux/nppdf.so

Now, on my 5-Stable system, it installs in

/usr/local/lib/acroread/usr/local/Adobe/Acrobat7.0/Browser/intellinux/nppdf.so

This seems wrong, but maybe it isn't.

linuxpluginwrapper's Makefile creates a browser plugin link to the old 
LINUXBASE location,
and the Acrobat 7 entries in libmap.conf also use /usr/compat/linux.  If 
these are changed, the
plugin works again.
Comment 4 bsam 2005-10-25 20:54:01 UTC
On Sat, 15 Oct 2005 01:58:02 GMT Trevor Johnson wrote:

> I changed the PREFIX.  I am not sure that the Adobe Reader license
> allows us to rearrange or omit files as you suggest, so I didn't
> apply that part of your patch.

Yes, you are right.

> Also, about the KDE support, it looks as though if, with your patch,
> the user first installed Adobe Reader then installed KDE, the
> AdobeReader_KDE.desktop and other KDE-related files would not be
> available.  Am I right?  I don't know much about this since I haven't
> used KDE in awhile.

Seems to me, that KDE has it's own application searcher and installer
of thier *.desktop files. Thus if KDE is installed first, then no
Adobe*.desktop files are installed and your port should do it. But if
KDE is installed after Adobe Reader, then KDE takes care of *.desktop
files.


WBR
-- 
bsam
Comment 5 Alexander Leidinger freebsd_committer 2006-02-11 21:23:22 UTC
Responsible Changed
From-To: trevor->freebsd-ports-bugs

Back to the pool: maintainer reset
Comment 6 Mark Linimon freebsd_committer 2006-02-23 16:20:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to new maintainer.
Comment 7 Hiroki Sato freebsd_committer 2006-02-23 17:27:01 UTC
State Changed
From-To: patched->closed

Closed because the print/acroread7 has been overhauled and KDE (and GNOME) 
support bits are planning to be added after the ports freeze.  As trevor's 
followup says, rearrangement of the installed files is not allowed due 
to the license restriction, so probably it will be done by creating 
symlinks or so.  Thank you for the feedback anyway.  If you still have 
any comments, please feel free to write to me again.